groovy.util

## Class ObservableList.ObservableIterator

- java.lang.Object
- - groovy.util.ObservableList.ObservableIterator

- All Implemented Interfaces:
    java.util.Iterator
  Direct Known Subclasses:
    ObservableList.ObservableListIterator
  Enclosing class:
    ObservableList

      protected class ObservableList.ObservableIterator
      extends java.lang.Object
      implements java.util.Iterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `cursor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableIterator(java.util.Iterator iterDelegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator` | `getDelegate()`
    `boolean` | `hasNext()`
    `java.lang.Object` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### cursor

          protected int cursor

  - ### Constructor Detail

    - #### ObservableIterator

          public ObservableIterator(java.util.Iterator iterDelegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.Iterator getDelegate()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`

    - #### next

          public java.lang.Object next()

      Specified by:
        `next` in interface `java.util.Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator`